Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(35)

Unified Diff: third_party/pkg/di/run-tests.sh

Issue 107003007: Adding Angular's DI package & Dart unittests which test it. (Closed) Base URL: https://dart.googlecode.com/svn/branches/bleeding_edge/dart
Patch Set: Created 7 years ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: third_party/pkg/di/run-tests.sh
diff --git a/third_party/pkg/di/run-tests.sh b/third_party/pkg/di/run-tests.sh
new file mode 100755
index 0000000000000000000000000000000000000000..9af915f4282892ecd03a7488f75a3d743bd9b3a4
--- /dev/null
+++ b/third_party/pkg/di/run-tests.sh
@@ -0,0 +1,16 @@
+
+#!/bin/sh
+set -e
+
+echo "run type factories generator for tests"
+./test_tf_gen.sh
+
+echo "run tests in dart"
+dart --checked test/main.dart
+
+echo "run dart2js on tests"
+mkdir -p out
+dart2js -c test/main.dart -o out/main.dart.js
+
+echo "run tests in node"
+node out/main.dart.js

Powered by Google App Engine
This is Rietveld 408576698